## catimg 2.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(catimg)

set(EXECUTABLE_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/bin)

# set soem options
#set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -Wall -Wextra -g -std=c99 -Wno-unused-result")
#set(CMAKE_BUILD_TYPE Debug)
set(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} -Wall -Wextra -Os -std=c99 -Wno-unused-result")
set(CMAKE_BUILD_TYPE Release)

set(SRC ${PROJECT_SOURCE_DIR}/src)

# Include dir for the exc
include_directories(${SRC})

set(EXECUTABLE_OUTPUT_PATH bin)

# find files
file(GLOB_RECURSE source_files ${SRC}/*)

# catimg executable
add_executable(
  catimg
  ${source_files}
  )

install(TARGETS catimg
  RUNTIME DESTINATION bin)

# libs
target_link_libraries(catimg m)

# tests
#enable_testing()
#add_test(tcatimg ${PROJECT_SOURCE_DIR}/tests/tcatimg.sh)

# Doc
find_package(Doxygen)
if(DOXYGEN_FOUND)
  add_custom_target(doc
    ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    COMMENT "Generating API documentation with Doxygen" VERBATIM)
endif(DOXYGEN_FOUND)

=== debian/changelog ===
catimg (2.2.1-1) unstable; urgency=medium

  * Initial release (Closes: #852878)

 -- Jonathan Carter <jcarter@linux.com>  Sat, 28 Jan 2017 11:44:36 +0200

=== debian/control ===
Source: catimg
Section: utils
Priority: optional
Maintainer: Jonathan Carter <jcarter@linux.com>
Build-Depends: debhelper (>= 10), cmake
Standards-Version: 3.9.8
Homepage: https://github.com/posva/catimg
Vcs-Git: https://gitlab.com/highvoltage/catimg-packaging.git
Vcs-Browser: https://gitlab.com/highvoltage/catimg-packaging/tree/master

Package: catimg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: fast image printing in to your terminal
 catimg is a little program written in C with no dependencies that
 prints images in terminal. It supports JPEG, PNG and GIF formats.
 .
 You will need a 256 color terminal in order to use this program. For
 higher resolution images, you need unicode support.

## catimg 2.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,13 @@
-cmake_minimum_required(VERSION 2.6)
+cmake_minimum_required(VERSION 2.8)
 project(catimg)
 
 set(EXECUTABLE_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/bin)
 
-# set soem options
+if (NOT MAN_OUTPUT_PATH)
+  set(MAN_OUTPUT_PATH "share/man/man1")
+endif()
+
+# set some options
 #set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -Wall -Wextra -g -std=c99 -Wno-unused-result")
 #set(CMAKE_BUILD_TYPE Debug)
 set(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} -Wall -Wextra -Os -std=c99 -Wno-unused-result")
@@ -28,6 +32,10 @@
 install(TARGETS catimg
   RUNTIME DESTINATION bin)
 
+# man page
+install(FILES ${PROJECT_SOURCE_DIR}/man/catimg.1
+  DESTINATION ${MAN_OUTPUT_PATH})
+
 # libs
 target_link_libraries(catimg m)

=== debian/changelog ===
catimg (2.4.0-1) unstable; urgency=medium

  * New upstream release
  * Dropping fix-manpage-path patch (no longer required)
  * Update standards version to 4.0.0 (no related changes)

 -- Jonathan Carter <jcarter@linux.com>  Mon, 31 Jul 2017 14:56:16 -0400

catimg (2.3.2-1) experimental; urgency=medium

  * New upstream release
  * Update description to reflect .ico image support
  * Fix manpage path in current release

 -- Jonathan Carter <jcarter@linux.com>  Wed, 03 May 2017 19:53:00 +0200

=== debian/control ===
Source: catimg
Section: utils
Priority: optional
Maintainer: Jonathan Carter <jcarter@linux.com>
Build-Depends: debhelper (>= 10), cmake
Standards-Version: 4.0.0
Homepage: https://github.com/posva/catimg
Vcs-Git: https://gitlab.com/highvoltage/catimg-packaging.git
Vcs-Browser: https://gitlab.com/highvoltage/catimg-packaging/tree/master

Package: catimg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: fast image printing in to your terminal
 catimg is a little program written in C with no dependencies that
 prints images in terminal. It supports JPEG, PNG, ICO and GIF formats.
 .
 You will need a 256 color terminal in order to use this program. For
 higher resolution images, you need unicode support.

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/posva/catimg/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@

## catimg 2.5.0

=== debian/changelog ===
catimg (2.5.0-1) unstable; urgency=medium

  * New upstream release (Closes: #903711)
  * Update standards version to 4.2.1 (no related changes)
  * Update maintainer e-mail address
  * Move VCS to salsa.debian.org service
  * Update copyright years
  * Bump compat to level 11

 -- Jonathan Carter <jcc@debian.org>  Wed, 28 Nov 2018 09:52:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: catimg
 Section: utils
 Priority: optional
-Maintainer: Jonathan Carter <jcarter@linux.com>
-Build-Depends: debhelper (>= 10), cmake
-Standards-Version: 4.0.0
+Maintainer: Jonathan Carter <jcc@debian.org>
+Build-Depends: debhelper (>= 11), cmake
+Standards-Version: 4.2.1
 Homepage: https://github.com/posva/catimg
-Vcs-Git: https://gitlab.com/highvoltage/catimg-packaging.git
-Vcs-Browser: https://gitlab.com/highvoltage/catimg-packaging/tree/master
+Vcs-Git: https://salsa.debian.org/debian/catimg.git
+Vcs-Browser: https://salsa.debian.org/debian/catimg
 
 Package: catimg
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

## catimg 2.5.0.1

=== debian/changelog ===
catimg (2.5.0.1-1+security) unstable; urgency=medium

  * update

 -- Jonathan Carter <jcc@debian.org>  Mon, 07 Jun 2021 09:50:23 +0800

## catimg 2.6.0

=== debian/changelog ===
catimg (2.6.0-1) unstable; urgency=medium

  * New upstream release
    - Fix watch file (Closes: #956150)
  * Update standards version to 4.5.0
  * Upgrade to debhelper-compat (= 12)
  * Update copyright years

 -- Jonathan Carter <jcc@debian.org>  Fri, 17 Apr 2020 19:37:37 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Jonathan Carter <jcc@debian.org>
-Build-Depends: debhelper (>= 11), cmake
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 12), cmake
+Standards-Version: 4.5.0
 Homepage: https://github.com/posva/catimg
 Vcs-Git: https://salsa.debian.org/debian/catimg.git
 Vcs-Browser: https://salsa.debian.org/debian/catimg

## catimg 2.7.0

=== debian/changelog ===
catimg (2.7.0-1) unstable; urgency=medium

  * New upstream release
  * Upgrade to debhelper-compat (= 13)

 -- Jonathan Carter <jcc@debian.org>  Fri, 11 Sep 2020 09:30:33 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Jonathan Carter <jcc@debian.org>
-Build-Depends: debhelper-compat (= 12), cmake
+Build-Depends: debhelper-compat (= 13), cmake
 Standards-Version: 4.5.0
 Homepage: https://github.com/posva/catimg
 Vcs-Git: https://salsa.debian.org/debian/catimg.git

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/catimg-$1\.tar\.gz/ \
   https://github.com/posva/catimg/releases .*/v?(\d\S*)\.tar\.gz
